Bug 138686 - NPE at org.netbeans.modules.editor.NbEditorDocument.createEditor
NPE at org.netbeans.modules.editor.NbEditorDocument.createEditor
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Text
6.x
All All
: P1 (vote)
: 6.x
Assigned To: mslama
issues@platform
http://statistics.netbeans.org/except...
: RANDOM, THREAD
: 158637 174856 174979 175071 175076 (view as bug list)
Depends on: 181230
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-01 09:28 UTC by Jiri Prox
Modified: 2013-01-11 17:26 UTC (History)
56 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.22 KB, text/plain)
2008-07-03 14:55 UTC, kawazu428
Details
stacktrace (1.22 KB, text/plain)
2008-07-08 09:33 UTC, Jiri Prox
Details
stacktrace (1.13 KB, text/plain)
2008-07-09 14:23 UTC, schmidtm
Details
stacktrace (1.22 KB, text/plain)
2008-07-15 20:52 UTC, Petr Pisl
Details
stacktrace (1.22 KB, text/plain)
2008-07-16 02:01 UTC, fjiis
Details
stacktrace (1.22 KB, text/plain)
2008-07-16 18:47 UTC, jamespb
Details
stacktrace (1.22 KB, text/plain)
2008-07-16 21:35 UTC, _ theanuradha
Details
stacktrace (1.13 KB, text/plain)
2008-07-21 20:53 UTC, Torbjorn Norbye
Details
stacktrace (1.22 KB, text/plain)
2008-07-24 12:51 UTC, Petr Pisl
Details
stacktrace (1.22 KB, text/plain)
2008-07-26 05:03 UTC, jemmyw
Details
stacktrace (1.22 KB, text/plain)
2008-07-28 09:10 UTC, tprochazka
Details
stacktrace (1.22 KB, text/plain)
2008-07-30 16:03 UTC, Vladimir Voskresensky
Details
stacktrace (1.22 KB, text/plain)
2008-08-01 19:05 UTC, big_al
Details
stacktrace (1.22 KB, text/plain)
2008-08-02 13:25 UTC, sunbiz
Details
stacktrace (1.13 KB, text/plain)
2008-08-03 23:17 UTC, paulymac
Details
stacktrace (1.22 KB, text/plain)
2008-08-07 04:25 UTC, misterm
Details
stacktrace (1.22 KB, text/plain)
2008-08-07 15:11 UTC, Oleg Khokhlov
Details
stacktrace (1.22 KB, text/plain)
2008-08-14 04:48 UTC, 007pig
Details
stacktrace (1.22 KB, text/plain)
2008-08-14 05:56 UTC, Martin Fousek
Details
stacktrace (1.22 KB, text/plain)
2008-08-14 17:34 UTC, sreimers
Details
stacktrace (1.22 KB, text/plain)
2008-08-15 09:07 UTC, Jan Lahoda
Details
stacktrace (1.22 KB, text/plain)
2008-08-16 10:43 UTC, vieiro
Details
stacktrace (1.22 KB, text/plain)
2008-08-17 16:30 UTC, gekkothelizard
Details
stacktrace (1.22 KB, text/plain)
2008-08-18 03:06 UTC, tusharvjoshi
Details
stacktrace (1.22 KB, text/plain)
2008-08-18 07:31 UTC, tkrd_oiax
Details
stacktrace (1.13 KB, text/plain)
2008-08-19 02:04 UTC, miganb
Details
stacktrace (1.22 KB, text/plain)
2008-08-19 15:19 UTC, Jan Lahoda
Details
stacktrace (1.13 KB, text/plain)
2008-08-19 22:38 UTC, Petr Dvorak
Details
stacktrace (1.13 KB, text/plain)
2008-08-19 22:41 UTC, Petr Dvorak
Details
stacktrace (1.22 KB, text/plain)
2008-08-20 13:29 UTC, hudhaifa
Details
stacktrace (1.22 KB, text/plain)
2008-08-21 08:39 UTC, closer
Details
stacktrace (1.22 KB, text/plain)
2008-08-21 15:43 UTC, dlinten
Details
stacktrace (1.22 KB, text/plain)
2008-08-21 16:57 UTC, nikitadanilov
Details
stacktrace (1.22 KB, text/plain)
2008-08-21 18:48 UTC, jamespb
Details
stacktrace (1.22 KB, text/plain)
2008-08-21 19:55 UTC, pansapien
Details
stacktrace (1.13 KB, text/plain)
2008-08-22 12:28 UTC, baffyofdaffy
Details
stacktrace (1.22 KB, text/plain)
2008-08-24 02:33 UTC, Michel Graciano
Details
stacktrace (1.22 KB, text/plain)
2008-08-25 02:19 UTC, tkrd_oiax
Details
The patch for CloneableEditor.DoInitialize (696 bytes, text/plain)
2008-08-25 13:33 UTC, Vitezslav Stejskal
Details
stacktrace (1.22 KB, text/plain)
2008-08-26 20:40 UTC, wokkel
Details
stacktrace (1.13 KB, text/plain)
2008-10-10 14:21 UTC, Tomas Mysik
Details
stacktrace (1.22 KB, text/plain)
2009-10-19 16:51 UTC, Egor Ushakov
Details
stacktrace (1.31 KB, text/plain)
2009-10-19 16:54 UTC, Alexander Pepin
Details
stacktrace (1.22 KB, text/plain)
2009-10-19 18:22 UTC, Petr Jiricka
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 09:07 UTC, Tomasz Slota
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 09:38 UTC, Tomasz Slota
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 10:05 UTC, Tomas Danek
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 12:56 UTC, pribyl
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 15:16 UTC, Filip Zamboj
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 15:21 UTC, Alexey Vladykin
Details
stacktrace (1.14 KB, text/plain)
2009-10-20 15:23 UTC, Petr Cyhelsky
Details
stacktrace (1.78 KB, text/plain)
2009-10-20 16:29 UTC, Maria Tishkova
Details
stacktrace (1.32 KB, text/plain)
2009-10-20 16:56 UTC, Oleg Khokhlov
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 17:04 UTC, Jesse Glick
Details
stacktrace (1.33 KB, text/plain)
2009-10-20 18:57 UTC, Thomas Preisler
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 20:32 UTC, Jaromir Uhrik
Details
stacktrace (1.22 KB, text/plain)
2009-10-20 23:07 UTC, David Konecny
Details
stacktrace (2.59 KB, text/plain)
2009-10-21 00:36 UTC, David Konecny
Details
stacktrace (1.22 KB, text/plain)
2009-10-21 01:17 UTC, Filip Zamboj
Details
stacktrace (2.59 KB, text/plain)
2009-10-21 08:38 UTC, Petr Jiricka
Details
stacktrace (1.22 KB, text/plain)
2009-10-21 08:46 UTC, Jaromir Uhrik
Details
Hotfix for 6.8beta (519 bytes, text/plain)
2009-10-21 10:00 UTC, Vitezslav Stejskal
Details
stacktrace (1.22 KB, text/plain)
2009-10-21 11:09 UTC, Michal Mocnak
Details
stacktrace (2.14 KB, text/plain)
2009-10-21 11:29 UTC, Ivan Sidorkin
Details
stacktrace (2.02 KB, text/plain)
2009-10-21 11:47 UTC, Tomas Mysik
Details
stacktrace (1.96 KB, text/plain)
2009-10-21 12:12 UTC, Marian Mirilovic
Details
stacktrace (1.22 KB, text/plain)
2009-10-21 13:08 UTC, Filip Zamboj
Details
stacktrace (2.00 KB, text/plain)
2009-10-21 14:19 UTC, aldobrucale
Details
stacktrace (1.22 KB, text/plain)
2009-10-21 14:22 UTC, martin_zmrhal
Details
stacktrace (2.01 KB, text/plain)
2009-10-21 14:30 UTC, Tomas Mysik
Details
Better fix - please review (9.27 KB, text/plain)
2009-10-21 15:55 UTC, Vitezslav Stejskal
Details
stacktrace (1.22 KB, text/plain)
2009-10-22 05:43 UTC, esmithbss
Details
stacktrace (2.02 KB, text/plain)
2009-10-22 09:39 UTC, giorgio42
Details
stacktrace (1.22 KB, text/plain)
2009-10-22 10:36 UTC, Marek Fukala
Details
stacktrace (2.59 KB, text/plain)
2009-10-22 12:18 UTC, neilg
Details
stacktrace (2.11 KB, text/plain)
2009-10-22 13:58 UTC, Vladimir Voskresensky
Details
stacktrace (1.22 KB, text/plain)
2009-10-23 05:10 UTC, esmithbss
Details
stacktrace (1.96 KB, text/plain)
2009-10-23 09:17 UTC, Milos Kleint
Details
stacktrace (2.75 KB, text/plain)
2009-10-23 09:18 UTC, Jan Lahoda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2008-07-01 09:28:06 UTC
Build: NetBeans IDE Dev (Build 200806190009)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105, Java(TM) SE Runtime Environment, 1.6.0-b105
OS: Windows XP, 5.1, x86
User comments: 
NPE when closing all editors shorty after the IDE has started

STACKTRACE: (first 10 lines)
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:176)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:450)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1298)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
Comment 1 kawazu428 2008-07-03 14:55:08 UTC
Build: NetBeans IDE Dev (Build 200807021206)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Linux, 2.6.24-19-generic, i386

User Comments: 
closing multiple open files
Comment 2 kawazu428 2008-07-03 14:55:12 UTC
Created attachment 63891 [details]
stacktrace
Comment 3 Jiri Prox 2008-07-08 09:33:51 UTC
Build: NetBeans IDE Dev (Build 20080707055228)
VM: Java HotSpot(TM) Client VM, 11.0-b12, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b25
OS: Linux, 2.6.22-15-generic, i386

User Comments: 
NPE when closing all documents
Comment 4 Jiri Prox 2008-07-08 09:33:54 UTC
Created attachment 64058 [details]
stacktrace
Comment 5 Exceptions Reporter 2008-07-08 16:46:26 UTC
This issue has already 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 6 schmidtm 2008-07-09 14:23:40 UTC
Build: NetBeans IDE Dev (Build 080709)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.3, i386

User Comments: 
Closing some 10 documents: Java and Groovy using "Close all Documents" from one of the documents headers.
Comment 7 schmidtm 2008-07-09 14:23:59 UTC
Created attachment 64172 [details]
stacktrace
Comment 8 Vitezslav Stejskal 2008-07-14 18:04:55 UTC
Looks like a problem in CloneableEditor. The 'initVisual' is posted to run 'when UI is ready' and in the meantime the
IDE is asked to shutdown. The CloneableEditor's initialization then proceeds on already closed editor pane.
Comment 9 Petr Pisl 2008-07-15 20:52:12 UTC
Build: NetBeans IDE Dev (Build 080715)
VM: Java HotSpot(TM) Client VM, 11.0-b12, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b25
OS: Linux, 2.6.24-19-generic, i386

User Comments: 
Comment 10 Petr Pisl 2008-07-15 20:52:15 UTC
Created attachment 64609 [details]
stacktrace
Comment 11 fjiis 2008-07-16 02:01:26 UTC
Build: NetBeans IDE Dev (Build 200807101204)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows 2003, 5.2, x86

User Comments: 
Comment 12 fjiis 2008-07-16 02:01:34 UTC
Created attachment 64626 [details]
stacktrace
Comment 13 jamespb 2008-07-16 18:47:12 UTC
Build: NetBeans IDE Dev (Build 080715)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05, Java(TM) SE Runtime Environment, 1.6.0_03-b05
OS: Linux, 2.6.22-15-generic, i386

User Comments: 
Comment 14 jamespb 2008-07-16 18:47:15 UTC
Created attachment 64739 [details]
stacktrace
Comment 15 _ theanuradha 2008-07-16 21:34:59 UTC
Build: NetBeans IDE Dev (Build 080716)
VM: Java HotSpot(TM) Client VM, 11.0-b14, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b27
OS: Windows XP, 5.1, x86

User Comments: 
I change project group and as a result open Documents got  closed  and throw this
Comment 16 _ theanuradha 2008-07-16 21:35:02 UTC
Created attachment 64769 [details]
stacktrace
Comment 17 Torbjorn Norbye 2008-07-21 20:52:59 UTC
Build: NetBeans IDE Dev (Build 080721)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.4, i386

User Comments: 
I invoked a "Close All Documents" from the Window menu and this error popped up.
Comment 18 Torbjorn Norbye 2008-07-21 20:53:05 UTC
Created attachment 65169 [details]
stacktrace
Comment 19 Petr Pisl 2008-07-24 12:51:32 UTC
Build: NetBeans IDE Dev (Build 20080723074106)
VM: Java HotSpot(TM) Client VM, 11.0-b12, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b25
OS: Linux, 2.6.24-19-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1302)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 20 Petr Pisl 2008-07-24 12:51:35 UTC
Created attachment 65520 [details]
stacktrace
Comment 21 jemmyw 2008-07-26 05:02:59 UTC
Build: NetBeans IDE Dev (Build 200807251401)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Linux, 2.6.24-19-generic, i386

User Comments: 
Closed all open documents

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1302)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 22 jemmyw 2008-07-26 05:03:12 UTC
Created attachment 65707 [details]
stacktrace
Comment 23 tprochazka 2008-07-28 09:09:53 UTC
Build: NetBeans IDE Dev (Build 20080728044253)
VM: Java HotSpot(TM) Client VM, 11.0-b14, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b27
OS: Windows Vista, 6.0, x86

User Comments: 
I closed all documents via right click on tab

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1302)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 24 tprochazka 2008-07-28 09:10:02 UTC
Created attachment 65767 [details]
stacktrace
Comment 25 Vladimir Voskresensky 2008-07-30 16:03:24 UTC
Build: NetBeans IDE Dev (Build 080730)
VM: Java HotSpot(TM) Server VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Linux, 2.6.5-7.244-smp, i386

User Comments: 
reopened IDE wich was closed with some opened files.
Welcome page was active and before "Main window opening..." disapeared I clicked on tab of Welcome page and chose "Close All Documents"

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1302)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 26 Vladimir Voskresensky 2008-07-30 16:03:46 UTC
Created attachment 66077 [details]
stacktrace
Comment 27 big_al 2008-08-01 19:05:26 UTC
Build: NetBeans IDE Dev (Build 200807310201)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 
Opened NetBeans and closed currently opened files

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1302)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 28 big_al 2008-08-01 19:05:54 UTC
Created attachment 66343 [details]
stacktrace
Comment 29 sunbiz 2008-08-02 13:24:54 UTC
Build: NetBeans IDE Dev (Build 080802)
VM: Java HotSpot(TM) Client VM, 11.0-b12, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b25
OS: Windows Vista, 6.0, x86

User Comments: 
Right-click on a document and selected close all documents

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 30 sunbiz 2008-08-02 13:25:03 UTC
Created attachment 66379 [details]
stacktrace
Comment 31 paulymac 2008-08-03 23:17:30 UTC
Build: NetBeans IDE Dev (Build 20080721172232)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-b05, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05
OS: Windows Vista, 6.0, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 32 paulymac 2008-08-03 23:17:39 UTC
Created attachment 66422 [details]
stacktrace
Comment 33 misterm 2008-08-07 04:24:51 UTC
Build: NetBeans IDE Dev (Build 200808051401)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 34 misterm 2008-08-07 04:25:08 UTC
Created attachment 66743 [details]
stacktrace
Comment 35 Oleg Khokhlov 2008-08-07 15:10:53 UTC
Build: NetBeans IDE Dev (Build 080802)
VM: Java HotSpot(TM) Client VM, 11.0-b12, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b25
OS: Windows XP, 5.1, x86

User Comments: 
Close all documents action

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 36 Oleg Khokhlov 2008-08-07 15:11:02 UTC
Created attachment 66826 [details]
stacktrace
Comment 37 007pig 2008-08-14 04:48:35 UTC
Build: NetBeans IDE Dev (Build 200808120201)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Windows XP, 5.1, x86

User Comments: 
Close all documents

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 38 007pig 2008-08-14 04:48:39 UTC
Created attachment 67352 [details]
stacktrace
Comment 39 Martin Fousek 2008-08-14 05:56:01 UTC
Build: NetBeans IDE Dev (Build 200808040201)
VM: Java HotSpot(TM) Client VM, 11.0-b13, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b26
OS: Linux, 2.6.24-19-generic, i386

User Comments: 
1, Start NetBeans IDE
2, Close opened project
-> NPE appears

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 40 Martin Fousek 2008-08-14 05:56:06 UTC
Created attachment 67361 [details]
stacktrace
Comment 41 sreimers 2008-08-14 17:34:13 UTC
Build: NetBeans IDE Dev (Build 20080814044915)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Windows XP, 5.1, x86

User Comments: 
closing editor topcomponents

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 42 sreimers 2008-08-14 17:34:22 UTC
Created attachment 67446 [details]
stacktrace
Comment 43 Jan Lahoda 2008-08-15 09:07:30 UTC
Build: NetBeans IDE Dev (Build 20080813101327)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Linux, 2.6.24-19-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 44 Jan Lahoda 2008-08-15 09:07:48 UTC
Created attachment 67500 [details]
stacktrace
Comment 45 vieiro 2008-08-16 10:43:26 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Linux, 2.6.24-16-generic, i386

User Comments: 
While closing different projects

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 46 vieiro 2008-08-16 10:43:31 UTC
Created attachment 67614 [details]
stacktrace
Comment 47 gekkothelizard 2008-08-17 16:30:44 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05, Java(TM) SE Runtime Environment, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 48 gekkothelizard 2008-08-17 16:30:49 UTC
Created attachment 67649 [details]
stacktrace
Comment 49 tusharvjoshi 2008-08-18 03:06:32 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Windows XP, 5.1, x86

User Comments: 
I closed two editor panes with the option
right click > Close all 

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 50 tusharvjoshi 2008-08-18 03:06:36 UTC
Created attachment 67663 [details]
stacktrace
Comment 51 tkrd_oiax 2008-08-18 07:31:33 UTC
Build: NetBeans IDE Dev (Build 200808170243)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Linux, 2.6.22-15-generic, i386

User Comments: 
Just started the ide with existing user directory.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 52 tkrd_oiax 2008-08-18 07:31:38 UTC
Created attachment 67666 [details]
stacktrace
Comment 53 miganb 2008-08-19 02:04:31 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-121, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-241
OS: Mac OS X, 10.4.11, ppc

User Comments: 
I was using Close All Documents menu right-clicking on one of the title of the open documents.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 54 miganb 2008-08-19 02:04:40 UTC
Created attachment 67758 [details]
stacktrace
Comment 55 Exceptions Reporter 2008-08-19 09:28:17 UTC
This issue has already 50 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 56 paulymac 2008-08-19 11:07:11 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-b05, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
Comment 57 Jan Lahoda 2008-08-19 15:19:05 UTC
Build: NetBeans IDE Dev (Build 20080819023551)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Linux, 2.6.24-19-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 58 Jan Lahoda 2008-08-19 15:19:16 UTC
Created attachment 67814 [details]
stacktrace
Comment 59 mslama 2008-08-19 17:32:34 UTC
I am not able to reproduce. I will have to add some logging to see when UI is installed/uninstalled to component.
Comment 60 Petr Dvorak 2008-08-19 22:38:16 UTC
Build: NetBeans IDE Dev (Build 200808190201)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.4, i386

User Comments: 
I invoked "Close all documents" from the editor tab right after I started IDE. Some documents were opened from the previous run...

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 61 Petr Dvorak 2008-08-19 22:38:20 UTC
Created attachment 67874 [details]
stacktrace
Comment 62 Petr Dvorak 2008-08-19 22:41:44 UTC
Build: NetBeans IDE Dev (Build 200808190201)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.4, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 63 Petr Dvorak 2008-08-19 22:41:47 UTC
Created attachment 67875 [details]
stacktrace
Comment 64 Petr Dvorak 2008-08-19 22:48:54 UTC
Steps to reproduce:

1. Start IDE with a fresh userdir, close startpage
2. Open/create some project (java application), then open some file from that project in the editor (there is just this one tab in the editor now)
3. Clone the document (you have two identical tabs...)
4. Restart IDE (...3 tabs - startpage + 2 cloned tabs)
5. Right-click startpage tab and press Close All Documents
-> NPE is thrown

Is it possible to reproduce issue using these steps?
Comment 65 hudhaifa 2008-08-20 13:29:04 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b14
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 66 hudhaifa 2008-08-20 13:29:12 UTC
Created attachment 67952 [details]
stacktrace
Comment 67 kawazu428 2008-08-20 13:39:43 UTC
Build: NetBeans IDE Dev (Build 200808200201)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-rc-b28
OS: Linux, 2.6.24-21-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
Comment 68 closer 2008-08-21 08:39:35 UTC
Build: NetBeans IDE Dev (Build 200808190201)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Windows XP, 5.1, x86

User Comments: 
Try to close project use File menu

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 69 closer 2008-08-21 08:39:39 UTC
Created attachment 68002 [details]
stacktrace
Comment 70 dlinten 2008-08-21 15:43:21 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 71 dlinten 2008-08-21 15:43:35 UTC
Created attachment 68036 [details]
stacktrace
Comment 72 nikitadanilov 2008-08-21 16:57:36 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Linux, 2.6.24-19-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 73 nikitadanilov 2008-08-21 16:57:45 UTC
Created attachment 68045 [details]
stacktrace
Comment 74 mslama 2008-08-21 17:16:41 UTC
Given steps does not give reproduction. I will try single core machine. This is definitely timing issue. I expect it
could be caused by installing editor kit which reinstalls UI but I must investigate and add some logging. I will need
then some volunteer(s) to run IDE with enabled logging as so far I am not able to reproduce so far.
Comment 75 jamespb 2008-08-21 18:48:10 UTC
Build: NetBeans IDE Dev (Build 200808190201)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05, Java(TM) SE Runtime Environment, 1.6.0_03-b05
OS: Linux, 2.6.22-15-generic, i386

User Comments: 
Close all windows

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 76 jamespb 2008-08-21 18:48:14 UTC
Created attachment 68049 [details]
stacktrace
Comment 77 pansapien 2008-08-21 19:55:40 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_05-b13-52, Java(TM) SE Runtime Environment, 1.6.0_05-b13-120
OS: Mac OS X, 10.5.4, x86_64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 78 pansapien 2008-08-21 19:55:43 UTC
Created attachment 68057 [details]
stacktrace
Comment 79 baffyofdaffy 2008-08-22 12:28:12 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.5.0_11-b03, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_11-b03
OS: Windows XP, 5.1, x86

User Comments: 
After closing all documents and deploying main preoject at same time

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 80 baffyofdaffy 2008-08-22 12:28:21 UTC
Created attachment 68105 [details]
stacktrace
Comment 81 Petr Dvorak 2008-08-23 21:24:59 UTC
> I will need then some volunteer(s) to run IDE with enabled logging as so far I am not able to reproduce so far.

Count me in;)...

Well, I have reproduced the issue on 2 independent machines (jhorvath's Mac and my Ubuntu) with the build I mentioned.
(I also believe both machines were single core.)
Comment 82 Michel Graciano 2008-08-24 02:33:13 UTC
Build: NetBeans IDE Dev (Build 200808210201)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Linux, 2.6.24-21-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 83 Michel Graciano 2008-08-24 02:33:17 UTC
Created attachment 68174 [details]
stacktrace
Comment 84 tkrd_oiax 2008-08-25 02:19:09 UTC
Build: NetBeans IDE Dev (Build 200808241401)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Linux, 2.6.22-15-generic, i386

User Comments: 
Closed all editors.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:370)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:472)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 85 tkrd_oiax 2008-08-25 02:19:18 UTC
Created attachment 68207 [details]
stacktrace
Comment 86 Petr Dvorak 2008-08-25 10:02:07 UTC
I am able to reliably reproduce this using the steps above, however I have dropped out/overlooked one detail in the
description. You have to invoke "Close All Documents" above the tab while "Opening main window" label is still visible
in the lower left corner.
Comment 87 mslama 2008-08-25 11:24:28 UTC
Now I am able to reproduce it with steps given above. It is important that Start (known previously as Welcome) page is
displayed after IDE restart. So do not uncheck Show On Startup checkbox.

Reason for NPE is that org.netbeans.editor.Utilities.getEditorUI(JTextComponent target) returns null when target.getUI()
returns class which is not instanceof org.netbeans.editor.BaseTextUI. In this case target returns
javax.swing.plaf.basic.BasicEditorPaneUI. Passing to editor for evaluation. This may probably happen when editor
initialization is in progress.
Comment 88 Vitezslav Stejskal 2008-08-25 13:31:47 UTC
Marku, this problem is in CloneableEditor.DoInitialize. It must NOT proceed with initialization of already closed editor
panes. In this case after initNonVisual() is done, the initVisual() is scheduled to be done __after__ the window system
is ready, but in the meantime the editor panes are closed (see the steps and joshis' comment about having the 'Opening
main window' message in the status bar). At the time when initVisual() is called the editor panes have already been
deinitialized and Netbeans editor kits have been uninstalled from them, which is why there is no EditorUI available.

Also when using -J-Dorg.openide.text.CloneableEditor.oldInitialize=true the problem goes away. Please see the patch I'm
going to attach. I'm not sure if it's correct or the best way of sorting this out, but it certainly helps.
Comment 89 Vitezslav Stejskal 2008-08-25 13:33:01 UTC
Created attachment 68242 [details]
The patch for CloneableEditor.DoInitialize
Comment 90 mslama 2008-08-25 13:51:46 UTC
Actually I do not know if your condition CloneableEditor.this.pane != this.tmp is equivalent to closed editor pane. I
will check that. I am on vacation net 2 days so I get to it on Thu or today evening. pane is set to null when
componentClosed is called but using invokeLater. I will check if adding some state variable would be better. It would be
set as closing editor is started in componentClosed.
Comment 91 wokkel 2008-08-26 20:40:16 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) 64-Bit Server VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Linux, 2.6.26-1-amd64, amd64

User Comments: 
Using the 'close all windows' options just after starting up NetBeans.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:352)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:454)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:255)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1300)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 92 wokkel 2008-08-26 20:40:20 UTC
Created attachment 68375 [details]
stacktrace
Comment 93 mslama 2008-08-27 14:47:58 UTC
Vita's fix is ok. I can confirm that CloneableEditor.componentClosed is closed before initVisual and it results in this.
Fix cancels initVisual when pane is changed. This problem is caused by winsys because winsys invokes componentShowing
when all documents are closed. It is performance problem and I filed separate issue #145292.

Fixed f07343a21381
Comment 94 Quality Engineering 2008-08-28 06:30:49 UTC
Integrated into 'main-golden', available in build *200808280201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/f07343a21381
User: Marek Slama <mslama@netbeans.org>
Log: #138686: Cancel CloneableEditor initialization when it is closed already.
Comment 95 Exceptions Reporter 2008-10-08 14:33:26 UTC
Reopening - reproduced in NetBeans IDE Dev (Build 200810041417)
http://statistics.netbeans.org/exceptions/detail.do?id=124880
Comment 96 mslama 2008-10-09 13:55:19 UTC
I cannot reproduce this new case. It was with ruby project and then all documents was closed. Unfortunately I do not
have this project or contact to reporter so I do not know how to get more info. I cannot fix this just with NPE call
stack without knowing what happens.
Comment 97 mslama 2008-10-10 14:11:32 UTC
I filed new issue #149771. The same symptoms but different cause even if it happens when documents are closed. Please
help to find out steps to reproduce.
Comment 98 Tomas Mysik 2008-10-10 14:20:53 UTC
Build: NetBeans IDE Dev (Build 081009)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b02
OS: Linux, 2.6.26-gentoo-r1, i386

User Comments: 
change project group (via File menu)

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:377)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:479)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:262)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive.run(WindowManagerImpl.java:1335)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 99 Tomas Mysik 2008-10-10 14:21:02 UTC
Created attachment 71554 [details]
stacktrace
Comment 100 Jiri Prox 2008-10-20 16:22:07 UTC
verified in 6.5RC1
Comment 101 Exceptions Reporter 2008-10-31 19:35:43 UTC
Reopening - reproduced in NetBeans IDE Dev (Build 081030)
http://statistics.netbeans.org/exceptions/detail.do?id=134782
Comment 102 mslama 2008-11-21 14:43:09 UTC
Closing as before. Another issue.
Comment 103 kawazu428 2008-12-09 12:23:48 UTC
Caught this today [1] after closing all editors immediately after starting the IDE. Worth reopening this one?


Product Version: NetBeans IDE Dev (Build 081127)
Java: 1.6.0_10; Java HotSpot(TM) Client VM 11.0-b15
System: Linux version 2.6.27-9-generic running on i386; UTF-8; de_DE (nb)
Userdir: /home/kr/.netbeans/dev

[1]http://statistics.netbeans.org/analytics/exception.do?id=145349
Comment 104 Exceptions Reporter 2009-01-31 07:42:30 UTC
Reopening - reproduced in NetBeans IDE Dev (Build 200901250201)
http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 105 mslama 2009-03-16 16:32:47 UTC
I need some way how to reproduce this issue with current dev build. All this is done in AWT thread so it cannot be race
condition. Method initVisual sets our custom text ui and then initDocument invokes setEditorKit. Only chance is that
initDocument is not finished correctly. Or if there is any volunteer able to reproduce this at least sometime I would
send patched module openide.text. Please contact me directly.
Comment 106 mslama 2009-03-16 17:06:37 UTC
Or if you could send me your project for testing. I cannot reproduce it with java files so perhaps some other file types
are better to reproduce this.
Comment 107 mslama 2009-03-17 14:28:49 UTC
I added logging to investigate this issue.

core-main #0a72938abb71

ui class of pane is checked and if it is not expected org.netbeans.editor.BaseTextUI IllegalStateException is thrown and
collected log is sent to logger so that it will be submitted to exception reporter. Please update to latest dev build
(containing this changeset) and try to reproduce this issue. Submit exception report and let me know its number. Thanks.
Comment 108 mslama 2009-03-17 17:00:24 UTC
core-main #2b147373a112 Fix test failure
Comment 109 Quality Engineering 2009-03-19 20:37:55 UTC
Integrated into 'main-golden', will be available in build *200903191401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0a72938abb71
User: Marek Slama <mslama@netbeans.org>
Log: #138686: Add logging to investigate this issue.
Comment 110 mslama 2009-03-20 12:08:23 UTC
Both changes are in trunk build 200903191401 so please take this build or newer and try to reproduce and submit new
exception report.
Comment 111 Miloslav Metelka 2009-03-24 11:30:25 UTC
*** Issue 158637 has been marked as a duplicate of this issue. ***
Comment 112 mslama 2009-03-24 14:24:51 UTC
core-main #a191ad5e6a18

Logging fixed. Previous version could cause OutOfMemoryError issue #161018
Comment 113 Quality Engineering 2009-03-25 21:18:45 UTC
Integrated into 'main-golden', will be available in build *200903251400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a191ad5e6a18
User: Marek Slama <mslama@netbeans.org>
Log: #161018: Fix logging for #138686.
Comment 114 mslama 2009-04-01 07:44:58 UTC
*** Issue 149771 has been marked as a duplicate of this issue. ***
Comment 115 Egor Ushakov 2009-04-17 13:52:02 UTC
reproduced on dev 090417
Comment 116 David Simonek 2009-04-17 15:49:40 UTC
gorrus, we need exact or close-to-exact reproduction steps, please add them here. Thank you.
Comment 117 mslama 2009-04-17 16:05:45 UTC
It is ok. I have already enough new logs in issue #161902 and #149771. It should be fixed for 6.7. Problem is that
CloneableTopComponent.canClose closes document from AWT thread and it sets editor kit to null while
CloneableEditor.DoInitialize.initNonVisual is still running in another thread. It means additional synchronization must
be added to avoid this. It is random and fortunately adding logging did not hide this.
Comment 118 mslama 2009-04-20 13:19:46 UTC
core-main #48637df6f189

Reason for this is that if someone calls CloneableTopComponent.canClose() it invokes closeLast and it calls
CES.doCloseDocument() which messes with CloneableEditor initialization. Fix adds test for document and editor kit value
in support and skips initVisual when document or editor kit are null.

Actually current synchronization is wrong in this case as it allows call of canClose and closing document during or
before initNonVisual.
Comment 119 Quality Engineering 2009-04-21 08:17:53 UTC
Integrated into 'main-golden', will be available in build *200904210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/48637df6f189
User: Marek Slama <mslama@netbeans.org>
Log: #138686, #161902, #149771: Cancel initialization when document was closed in the meantime
Comment 120 Quality Engineering 2009-07-23 07:50:55 UTC
Integrated into 'main-golden', will be available in build *200907230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/458fb6978cd2
User: Marek Slama <mslama@netbeans.org>
Log: #168959: Remove debug logging used to investigate #138686, #161902, #149771
Comment 121 Vladimir Voskresensky 2009-10-19 14:35:04 UTC
this bug is pointed from 6.8 dev => reopening
Comment 122 Egor Ushakov 2009-10-19 16:50:33 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) Server VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: SunOS, 5.11, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 123 Egor Ushakov 2009-10-19 16:51:07 UTC
Created attachment 89694 [details]
stacktrace
Comment 124 Exceptions Reporter 2009-10-19 16:52:16 UTC
This issue already has 500 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 125 Alexander Pepin 2009-10-19 16:54:03 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910171337)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows Vista, 6.0, x86

User Comments: 
Steps to reproduce:
- start debugger
- try to navigate to variable

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.openide.text.CloneableEditorSupport.getOpenedPanes(CloneableEditorSupport.java:1098)
        at org.netbeans.modules.cnd.modelutil.CsmUtilities$3.run(CsmUtilities.java:695)
Comment 126 Alexander Pepin 2009-10-19 16:54:34 UTC
Created attachment 89695 [details]
stacktrace
Comment 127 Exceptions Reporter 2009-10-19 16:55:46 UTC
This issue already has 500 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 128 Petr Jiricka 2009-10-19 18:21:31 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910171337)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 129 Petr Jiricka 2009-10-19 18:22:04 UTC
Created attachment 89702 [details]
stacktrace
Comment 130 Exceptions Reporter 2009-10-19 18:22:14 UTC
This issue already has 501 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 131 Exceptions Reporter 2009-10-19 18:58:44 UTC
This issue already has 502 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 132 Jaroslav Tulach 2009-10-20 08:36:10 UTC

*** This issue has been marked as a duplicate of 174856 ***
Comment 133 Vladimir Voskresensky 2009-10-20 08:52:02 UTC
Jarda, we can not close P1 as dup of P3
+ THIS issue is used as target issue by "report exception" mechanism from IDE => let's leave it as open, because it's
very confusing to see it as "fixed in 6.7, update to new version of IDE"
Comment 134 Vladimir Voskresensky 2009-10-20 08:56:32 UTC
*** Issue 174856 has been marked as a duplicate of this issue. ***
Comment 135 Tomasz Slota 2009-10-20 09:07:29 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-90, Java(TM) SE Runtime Environment, 1.6.0_15-b03-219
OS: Mac OS X, 10.6.1, x86_64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 136 Tomasz Slota 2009-10-20 09:07:36 UTC
Created attachment 89735 [details]
stacktrace
Comment 137 Tomasz Slota 2009-10-20 09:38:23 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-90, Java(TM) SE Runtime Environment, 1.6.0_15-b03-219
OS: Mac OS X, 10.6.1, x86_64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 138 Tomasz Slota 2009-10-20 09:38:28 UTC
Created attachment 89739 [details]
stacktrace
Comment 139 Tomas Danek 2009-10-20 10:05:23 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910192001)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
Just created ruby project, main.rb was not opened in editor. NPE instead.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 140 Tomas Danek 2009-10-20 10:05:30 UTC
Created attachment 89745 [details]
stacktrace
Comment 141 Vitezslav Stejskal 2009-10-20 10:27:27 UTC
*** Issue 174856 has been marked as a duplicate of this issue. ***
Comment 142 Jaroslav Tulach 2009-10-20 10:43:57 UTC
I have improved something in
http://hg.netbeans.org/core-main/rev/f8a05b77017b
Comment 143 Miloslav Metelka 2009-10-20 11:13:09 UTC
Added a check for null EditorUI (and possible throwing ISE) as
http://hg.netbeans.org/jet-main/rev/6ee79a32740f
but unfortunately under the dup issue 174856.
Comment 144 pribyl 2009-10-20 12:56:27 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910192001)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 
Tried to open .txt document during the scanning of a project

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 145 pribyl 2009-10-20 12:56:33 UTC
Created attachment 89759 [details]
stacktrace
Comment 146 Vitezslav Stejskal 2009-10-20 13:06:12 UTC
*** Issue 174979 has been marked as a duplicate of this issue. ***
Comment 147 Filip Zamboj 2009-10-20 15:16:50 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
opened php file

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 148 Filip Zamboj 2009-10-20 15:16:57 UTC
Created attachment 89771 [details]
stacktrace
Comment 149 Alexey Vladykin 2009-10-20 15:21:00 UTC
Build: NetBeans IDE Dev (Build 091020)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Linux, 2.6.30-gentoo-r5, amd64

User Comments: 
Happens when I start the IDE

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 150 Alexey Vladykin 2009-10-20 15:21:40 UTC
Created attachment 89772 [details]
stacktrace
Comment 151 Petr Cyhelsky 2009-10-20 15:22:54 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) Client VM, 1.5.0_19-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_19-b02
OS: Windows Vista, 6.0, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 152 Petr Cyhelsky 2009-10-20 15:23:01 UTC
Created attachment 89773 [details]
stacktrace
Comment 153 Maria Tishkova 2009-10-20 16:28:55 UTC
Build: NetBeans IDE Dev (Build 091020)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: SunOS, 5.10, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.openide.text.CloneableEditorSupport.getOpenedPanes(CloneableEditorSupport.java:1098)
        at org.netbeans.modules.cnd.qnavigator.navigator.NavigatorModel.findCurrentJEditorPane(NavigatorModel.java:261)
Comment 154 Maria Tishkova 2009-10-20 16:29:05 UTC
Created attachment 89780 [details]
stacktrace
Comment 155 Oleg Khokhlov 2009-10-20 16:55:59 UTC
Build: NetBeans IDE Dev (Build 200910191401)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 
created new javaFX project

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.netbeans.modules.javafx.editor.JavaFXDocument.createEditor(JavaFXDocument.java:119)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
Comment 156 Oleg Khokhlov 2009-10-20 16:56:07 UTC
Created attachment 89782 [details]
stacktrace
Comment 157 Jesse Glick 2009-10-20 17:03:55 UTC
Build: NetBeans IDE Dev (Build 091017)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
Opening a DTD.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 158 Jesse Glick 2009-10-20 17:04:02 UTC
Created attachment 89785 [details]
stacktrace
Comment 159 Tim Lebedkov 2009-10-20 17:27:54 UTC
-
Comment 160 Thomas Preisler 2009-10-20 18:57:03 UTC
Build: NetBeans IDE Dev (Build 091020)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: SunOS, 5.11, x86

User Comments: 
Profiling, click on Hot Spots before the app has finished (probably just when it has produced some data for stack view), and then double-click entry in stack view to go to source. Seen this exception a couple of time.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.openide.text.CloneableEditorSupport.getOpenedPanes(CloneableEditorSupport.java:1098)
        at org.netbeans.modules.cnd.gizmo.SourceSupportProviderImpl$1.run(SourceSupportProviderImpl.java:206)
Comment 161 Thomas Preisler 2009-10-20 18:57:12 UTC
Created attachment 89793 [details]
stacktrace
Comment 162 Jaromir Uhrik 2009-10-20 20:32:05 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910192001)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
Tried to open .php file from Favorites tab. When the PHP support went to be enabled the exception appeared...

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 163 Jaromir Uhrik 2009-10-20 20:32:13 UTC
Created attachment 89799 [details]
stacktrace
Comment 164 David Konecny 2009-10-20 23:07:07 UTC
Build: NetBeans IDE Dev (Build 091021)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.24-24-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 165 David Konecny 2009-10-20 23:07:16 UTC
Created attachment 89807 [details]
stacktrace
Comment 166 David Konecny 2009-10-21 00:36:09 UTC
Build: NetBeans IDE Dev (Build 091021)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.24-24-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.core.multiview.MultiViewPeer.getEditorPane(MultiViewPeer.java:507)
        at org.netbeans.core.multiview.MultiViewPeer.isToolbarVisible(MultiViewPeer.java:645)
Comment 167 David Konecny 2009-10-21 00:36:16 UTC
Created attachment 89810 [details]
stacktrace
Comment 168 Filip Zamboj 2009-10-21 01:17:10 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
opening a file 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 169 Filip Zamboj 2009-10-21 01:17:17 UTC
Created attachment 89811 [details]
stacktrace
Comment 170 Petr Jiricka 2009-10-21 08:38:21 UTC
Build: NetBeans IDE Dev (Build web-main-1851-on-091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
IDE statup with a couple Java files open.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.core.multiview.MultiViewPeer.getEditorPane(MultiViewPeer.java:507)
        at org.netbeans.core.multiview.MultiViewPeer.isToolbarVisible(MultiViewPeer.java:645)
Comment 171 Petr Jiricka 2009-10-21 08:38:28 UTC
Created attachment 89820 [details]
stacktrace
Comment 172 Jaromir Uhrik 2009-10-21 08:46:16 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910192001)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
After the restart tried to open .php file from Favourites window and the exception appeared.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 173 Jaromir Uhrik 2009-10-21 08:46:23 UTC
Created attachment 89821 [details]
stacktrace
Comment 174 Vitezslav Stejskal 2009-10-21 09:59:42 UTC
I think I know what the cause is and have a hotfix for beta (see the attached patch). The proper fix is going to be a
little bit more complicated. Marek and I are working on it.
Comment 175 Vitezslav Stejskal 2009-10-21 10:00:45 UTC
Created attachment 89830 [details]
Hotfix for 6.8beta
Comment 176 Vitezslav Stejskal 2009-10-21 10:56:19 UTC
*** Issue 175071 has been marked as a duplicate of this issue. ***
Comment 177 Vitezslav Stejskal 2009-10-21 11:05:17 UTC
*** Issue 175076 has been marked as a duplicate of this issue. ***
Comment 178 Michal Mocnak 2009-10-21 11:09:19 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910202101)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-90, Java(TM) SE Runtime Environment, 1.6.0_15-b03-219
OS: Mac OS X, 10.6.1, x86_64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 179 Michal Mocnak 2009-10-21 11:09:28 UTC
Created attachment 89842 [details]
stacktrace
Comment 180 Ivan Sidorkin 2009-10-21 11:29:20 UTC
Build: NetBeans Platform 6.8 Beta (Build 200910202101)
VM: Java HotSpot(TM) Client VM, 1.5.0_20-141, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_20-b02-315
OS: Mac OS X, 10.5.8, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 181 Ivan Sidorkin 2009-10-21 11:29:34 UTC
Created attachment 89844 [details]
stacktrace
Comment 182 Exceptions Reporter 2009-10-21 11:29:46 UTC
This issue already has 550 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 183 Exceptions Reporter 2009-10-21 11:43:33 UTC
This issue already has 551 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 184 Tomas Mysik 2009-10-21 11:47:22 UTC
Build: NetBeans IDE Dev (Build 091021)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
ide started with several php files open

Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=javax.swing.plaf.basic.BasicEditorPaneUI@2aef0a03, kit=javax.swing.JEditorPane$PlainEditorKit@337a60fa, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.basic.BasicBorders$MarginBorder@2774d77d,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],disabledTextColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],selectionColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],kit=javax.swing.JEditorPane$PlainEditorKit@337a60fa,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 185 Tomas Mysik 2009-10-21 11:47:30 UTC
Created attachment 89847 [details]
stacktrace
Comment 186 Exceptions Reporter 2009-10-21 11:47:41 UTC
This issue already has 552 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 187 Marian Mirilovic 2009-10-21 12:11:37 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910202101)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
tried to open .sh file in second NB 6.8 Beta

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.getCurrentFile(HintAction.java:112)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.updateEnabled(HintAction.java:69)
Comment 188 Marian Mirilovic 2009-10-21 12:12:41 UTC
Created attachment 89850 [details]
stacktrace
Comment 189 Exceptions Reporter 2009-10-21 12:15:40 UTC
This issue already has 553 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 190 Exceptions Reporter 2009-10-21 12:24:32 UTC
This issue already has 554 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 191 Jiri Prox 2009-10-21 13:03:49 UTC
The patch to beta seems ok, please integrate it
Comment 192 Filip Zamboj 2009-10-21 13:07:25 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
opening IDE with some files already opened

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 193 Filip Zamboj 2009-10-21 13:08:43 UTC
Created attachment 89856 [details]
stacktrace
Comment 194 Tim Lebedkov 2009-10-21 14:00:54 UTC
-
Comment 195 aldobrucale 2009-10-21 14:18:15 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-4129-on-091021)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
Opening a file from the svn "Versioning Output" window

Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=javax.swing.plaf.synth.SynthEditorPaneUI@1656a6f, kit=javax.swing.JEditorPane$PlainEditorKit@12eb9d2, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.synth.SynthBorder@a9bcdd,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=javax.swing.plaf.ColorUIResource[r=0,g=0,b=0],disabledTextColor=javax.swing.plaf.ColorUIResource[r=177,g=165,b=152],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=javax.swing.plaf.ColorUIResource[r=26,g=26,b=26],selectionColor=javax.swing.plaf.ColorUIResource[r=250,g=209,b=132],kit=javax.swing.JEditorPane$PlainEditorKit@12eb9d2,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 196 aldobrucale 2009-10-21 14:19:07 UTC
Created attachment 89865 [details]
stacktrace
Comment 197 martin_zmrhal 2009-10-21 14:20:35 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910202101)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-11-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 198 martin_zmrhal 2009-10-21 14:22:44 UTC
Created attachment 89866 [details]
stacktrace
Comment 199 Tomas Mysik 2009-10-21 14:27:21 UTC
Build: NetBeans IDE Dev (Build 091021)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 


Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=javax.swing.plaf.basic.BasicEditorPaneUI@429be960, kit=javax.swing.JEditorPane$PlainEditorKit@9f6bfca, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.basic.BasicBorders$MarginBorder@26a96be2,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],disabledTextColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],selectionColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],kit=javax.swing.JEditorPane$PlainEditorKit@9f6bfca,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 200 Tomas Mysik 2009-10-21 14:30:52 UTC
Created attachment 89867 [details]
stacktrace
Comment 201 Vitezslav Stejskal 2009-10-21 15:04:28 UTC
I pushed the hotfix to:
jet-main - http://hg.netbeans.org/jet-main/rev/d953ef1451f5
release68_beta - http://hg.netbeans.org/release68_beta/rev/f754c6b656b7
Comment 202 Vitezslav Stejskal 2009-10-21 15:55:03 UTC
Created attachment 89878 [details]
Better fix - please review
Comment 203 esmithbss 2009-10-22 05:43:24 UTC
Build: NetBeans IDE Dev (Build 200910191401)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
Opening a model file from a Rails project.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 204 esmithbss 2009-10-22 05:43:33 UTC
Created attachment 89897 [details]
stacktrace
Comment 205 giorgio42 2009-10-22 09:39:31 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-4132-on-091021)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments: 
Double-clicked on JSP in web project.

Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=com.sun.java.swing.plaf.windows.WindowsEditorPaneUI@1ce1eae, kit=javax.swing.JEditorPane$PlainEditorKit@14065b9, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.basic.BasicBorders$MarginBorder@8f329f,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=javax.swing.plaf.ColorUIResource[r=0,g=0,b=0],disabledTextColor=javax.swing.plaf.ColorUIResource[r=172,g=168,b=153],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=javax.swing.plaf.ColorUIResource[r=255,g=255,b=255],selectionColor=javax.swing.plaf.ColorUIResource[r=49,g=106,b=197],kit=javax.swing.JEditorPane$PlainEditorKit@14065b9,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 206 giorgio42 2009-10-22 09:39:42 UTC
Created attachment 89908 [details]
stacktrace
Comment 207 Marek Fukala 2009-10-22 10:35:29 UTC
Build: NetBeans IDE Dev (Build 091019)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
restarting IDE with some xhtml-s and java files opened

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 208 Marek Fukala 2009-10-22 10:36:28 UTC
Created attachment 89913 [details]
stacktrace
Comment 209 Jiri Prox 2009-10-22 10:44:20 UTC
verified in beta
Comment 210 neilg 2009-10-22 12:17:54 UTC
Build: NetBeans IDE Dev (Build 200910191401)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
opened IDE

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.core.multiview.MultiViewPeer.getEditorPane(MultiViewPeer.java:507)
        at org.netbeans.core.multiview.MultiViewPeer.isToolbarVisible(MultiViewPeer.java:645)
Comment 211 neilg 2009-10-22 12:18:03 UTC
Created attachment 89915 [details]
stacktrace
Comment 212 Vladimir Voskresensky 2009-10-22 13:57:55 UTC
Build: NetBeans IDE Dev (Build 091022)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP, 5.1, x86

User Comments: 
cltr+click on #include <file>

Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=com.sun.java.swing.plaf.windows.WindowsEditorPaneUI@ab30c0, kit=javax.swing.JEditorPane$PlainEditorKit@10db8ad, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.basic.BasicBorders$MarginBorder@160bf69,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=javax.swing.plaf.ColorUIResource[r=0,g=0,b=0],disabledTextColor=javax.swing.plaf.ColorUIResource[r=172,g=168,b=153],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=javax.swing.plaf.ColorUIResource[r=255,g=255,b=255],selectionColor=javax.swing.plaf.ColorUIResource[r=49,g=106,b=197],kit=javax.swing.JEditorPane$PlainEditorKit@10db8ad,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.openide.text.CloneableEditorSupport.getOpenedPanes(CloneableEditorSupport.java:1098)
        at org.netbeans.modules.cnd.modelutil.CsmUtilities$3.run(CsmUtilities.java:715)
Comment 213 Vladimir Voskresensky 2009-10-22 13:58:03 UTC
Created attachment 89918 [details]
stacktrace
Comment 214 mslama 2009-10-22 14:18:47 UTC
Last patch looks ok to me. I will commit it ASAP (once I finish fixing of #175093)
Comment 215 Quality Engineering 2009-10-22 23:39:11 UTC
Integrated into 'main-golden', will be available in build *200910221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d953ef1451f5
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #138686: hotfix for NPE while opening editors
Comment 216 esmithbss 2009-10-23 05:10:41 UTC
Build: NetBeans IDE Dev (Build 200910191401)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
Opening the first file (a Rails View file) after launching the IDE with a clean or dirty userdir.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:291)
        at org.netbeans.core.windows.WindowManagerImpl$Exclusive$1.run(WindowManagerImpl.java:1317)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
Comment 217 esmithbss 2009-10-23 05:10:50 UTC
Created attachment 89951 [details]
stacktrace
Comment 218 Exceptions Reporter 2009-10-23 05:11:01 UTC
This issue already has 602 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 219 Vitezslav Stejskal 2009-10-23 08:21:41 UTC
The hotfix is available as of build 200910221401, please use newer builds if you are still affected by this issue.
Comment 220 Milos Kleint 2009-10-23 09:17:42 UTC
Build: NetBeans IDE Dev (Build 200910151401)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.29.6-desktop-2mnb, i386

User Comments: 
opening a pom.xml file within a maven archetype project resources

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:170)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.getCurrentFile(HintAction.java:112)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.updateEnabled(HintAction.java:69)
Comment 221 Milos Kleint 2009-10-23 09:17:53 UTC
Created attachment 89962 [details]
stacktrace
Comment 222 Exceptions Reporter 2009-10-23 09:18:07 UTC
This issue already has 604 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 223 Jan Lahoda 2009-10-23 09:18:42 UTC
Build: NetBeans IDE Dev (Build 091020)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Linux, 2.6.28-11-generic, i386

User Comments: 


Stacktrace: 
java.lang.IllegalStateException: NbEditorDocument.createEditor(): ui=javax.swing.plaf.basic.BasicEditorPaneUI@14a5cc6, kit=javax.swing.JEditorPane$PlainEditorKit@110f8f6, pane=org.openide.text.QuietEditorPane[,0,0,0x0,invalid,layout=javax.swing.plaf.basic.BasicTextUI$UpdateHandler,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.basic.BasicBorders$MarginBorder@159c7f2,flags=296,maximumSize=,minimumSize=,preferredSize=,caretColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],disabledTextColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],editable=true,margin=javax.swing.plaf.InsetsUIResource[top=3,left=3,bottom=3,right=3],selectedTextColor=sun.swing.PrintColorUIResource[r=51,g=51,b=51],selectionColor=javax.swing.plaf.ColorUIResource[r=184,g=207,b=229],kit=javax.swing.JEditorPane$PlainEditorKit@110f8f6,typeHandlers=]
        at org.netbeans.modules.editor.NbEditorDocument.createEditor(NbEditorDocument.java:175)
        at org.openide.text.CloneableEditor$DoInitialize.initCustomEditor(CloneableEditor.java:497)
        at org.openide.text.CloneableEditor$DoInitialize.initVisual(CloneableEditor.java:599)
        at org.openide.text.CloneableEditor.getEditorPane(CloneableEditor.java:1067)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.getCurrentFile(HintAction.java:112)
        at org.netbeans.modules.java.hints.infrastructure.HintAction.updateEnabled(HintAction.java:69)
Comment 224 Jan Lahoda 2009-10-23 09:18:53 UTC
Created attachment 89963 [details]
stacktrace
Comment 225 Exceptions Reporter 2009-10-23 09:19:06 UTC
This issue already has 604 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=67383
Comment 226 mslama 2009-10-27 13:51:09 UTC
core-main #013c4862a792
Comment 227 Jaroslav Tulach 2009-10-27 17:40:46 UTC
Very clever fix. 
Comment 228 Quality Engineering 2009-10-28 11:53:48 UTC
Integrated into 'main-golden', will be available in build *200910280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/013c4862a792
User: Marek Slama <mslama@netbeans.org>
Log: #138686: Keep reference to document in prepareDocument task so that doc is not gc'ed too soon.
Comment 229 Jiri Prox 2013-01-11 17:26:16 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo